
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services']).run(function($ionicPlatform, $ionicPopup) {
    $ionicPlatform.ready(function() {
        if (window.plugins && window.plugins.AdMob) {
            var admob_key = device.platform == "Android" ? "ca-app-pub-3331135896671186/9884533552" : "ca-app-pub-3331135896671186/6077102759";
            var admob = window.plugins.AdMob;
            admob.createBannerView({
                'publisherId': admob_key,
                'adSize': admob.AD_SIZE.BANNER,
                'bannerAtTop': false
            }, function() {
                admob.requestAd({
                    'isTesting': false
                }, function() {
                    admob.showAd(true);
                }, function() {
                    console.log('failed to request ad');
                });
            }, function() {
                console.log('failed to create banner view');
            });
        }
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
        }
    });
})
/*
.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})
*/
.config(function($stateProvider, $urlRouterProvider) {
    // Ionic uses AngularUI Router which uses the concept of states
    // Learn more here: https://github.com/angular-ui/ui-router
    // Set up the various states which the app can be in.
    // Each state's controller can be found in controllers.js
    $stateProvider.state('invoer-kenteken', {
        url: "/invoer-kenteken",
        templateUrl: "templates/invoer-kenteken.html",
        controller: 'invoerKentekenCtrl'
    }).state('kenteken', {
        url: "/kenteken",
        params: {
            'kenteken': null,
            'kmstand': null
        },
        templateUrl: "templates/kenteken.html",
        controller: 'KentekenCtrl'
    }).state('history', {
        url: "/history",
        templateUrl: "templates/history.html",
        controller: 'KentekenHistory'
    })
    // setup an abstract state for the tabs directive
    // Each tab has its own nav history stack
    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/invoer-kenteken');
    // $ionicConfigProvider.views.swipeBackEnabled(true);
});